AWS IoT Device SDK C++ v2: Aws::Crt::Io::StdIOStreamInputStream Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Protected Member Functions | List of all members
Aws::Crt::Io::StdIOStreamInputStream Class Reference

`#include <Stream.h>`

Inheritance diagram for Aws::Crt::Io::StdIOStreamInputStream:

## Public Member Functions
| StdIOStreamInputStream (std::shared_ptr< Aws::Crt::Io::IStream > stream, Aws::Crt::Allocator *allocator=g_allocator) noexcept
bool | IsValid () const noexcept override
Public Member Functions inherited from Aws::Crt::Io::InputStream
virtual | ~InputStream ()
| InputStream (const InputStream &)=delete
InputStream & | operator= (const InputStream &)=delete
| InputStream (InputStream &&)=delete
InputStream & | operator= (InputStream &&)=delete
| operator bool () const noexcept
bool | Read (ByteBuf &dest)
bool | Seek (int64_t offset, StreamSeekBasis seekBasis)
bool | GetStatus (StreamStatus &status)
bool | GetLength (int64_t &length)

## Protected Member Functions
bool | ReadImpl (ByteBuf &buffer) noexcept override
StreamStatus | GetStatusImpl () const noexcept override
int64_t | GetLengthImpl () const noexcept override
bool | SeekImpl (OffsetType offsetType, StreamSeekBasis seekBasis) noexcept override
Protected Member Functions inherited from Aws::Crt::Io::InputStream
| InputStream (Aws::Crt::Allocator *allocator=g_allocator)
virtual bool | SeekImpl (int64_t offset, StreamSeekBasis seekBasis) noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Aws::Crt::Io::InputStream
Allocator * | m_allocator
aws_input_stream | m_underlying_stream

## Constructor & Destructor Documentation

## ◆ StdIOStreamInputStream()

Aws::Crt::Io::StdIOStreamInputStream::StdIOStreamInputStream | ( | std::shared_ptr< Aws::Crt::Io::IStream > | stream,
|  | Aws::Crt::Allocator * | allocator = `g_allocator`
| ) |  |
| noexcept

## Member Function Documentation

## ◆ GetLengthImpl()

int64_t Aws::Crt::Io::StdIOStreamInputStream::GetLengthImpl | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Returns
  the total length of the available data for the stream.
  -1 if not available.

Implements Aws::Crt::Io::InputStream.

## ◆ GetStatusImpl()

StreamStatus Aws::Crt::Io::StdIOStreamInputStream::GetStatusImpl | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Returns
  the current status of the stream.

Implements Aws::Crt::Io::InputStream.

## ◆ IsValid()

bool Aws::Crt::Io::StdIOStreamInputStream::IsValid | ( |  | ) | const
| overridevirtualnoexcept

Returns
  true/false if this object is in a valid state

Implements Aws::Crt::Io::InputStream.

## ◆ ReadImpl()

bool Aws::Crt::Io::StdIOStreamInputStream::ReadImpl | ( | ByteBuf & | buffer | ) |
| overrideprotectedvirtualnoexcept

Implements Aws::Crt::Io::InputStream.

## ◆ SeekImpl()

bool Aws::Crt::Io::StdIOStreamInputStream::SeekImpl | ( | OffsetType | offsetType,
|  | StreamSeekBasis | seekBasis
| ) |  |
| overrideprotectednoexcept

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/io/Stream.h
- crt/aws-crt-cpp/source/io/Stream.cpp